@import url("tokens.css");


/* Algemene containers */
#menu_top,
#container_menu .menu,
#qs-container,
#innerfooter,
#customsearch {
  max-width: 100%;
}

#menu_top,
.breadcrum_container,
#apptitle a,
#dashboardheader {
  display: none;
}


.logo {
  height: 112px;
}

.b_menu-search-container {
  background: var(--color-bg-header);
}

.b_menu-search-wrapper {
  padding: 0 var(--pad-obj-sm);
  display: flex;
  align-items: center;
}

#container_menu {
  max-width: 1140px;
  margin: 0 auto;
  width: 100%;
  position: relative;
  display: flex;
  flex-wrap: wrap;
  align-items: center;
  justify-content: flex-end;
  

  #p1 {
    position: absolute;
    left: 0;
    
    a {
      font-size: var(--font-home-item);
      color: var(--white);
      text-decoration: none;
    }
  }


  
}

#ctl00_menu {
  li {
    &#p15 {
      a {
        display: flex;
        gap: 10px;
        align-items: center;

        &::before {
          content: '\f002';
          font-family: "Font Awesome 6 Pro";
          color: var(--white);
          font-size: 16px;
        }
      }
    }
  }
}

#innercontainer {
  .menu {
    display: none;
  }

  header h1 {
    margin-bottom: unset;
    color: var(--white);
  }

  .b_menu-open {
    display: flex;
    flex-direction: column;
    width: 100%;
    background-color: var(--color-bg-header);



    #p1 {
      display: none;
    }

    li a {
      border-top: 1px solid #fff;
      padding: 15px 0;
      display: flex;


    }
  }

  ul.menu {
    margin: 0;
    padding: 0;
    list-style: none;

    a {
      text-decoration: none;
      font-weight: 700;
    }
  }
}

#pull {
  display: flex;
  width: 45px;
  height: 45px;
  text-decoration: none;

  &:before {
    font-family: "Font Awesome 6 Pro";
    font-size: 20px;
    font-weight: 400;
    content: "\f0c9";
    /* hamburger icon */
    display: flex;
    width: 100%;
    height: 100%;
    align-items: center;
    color: var(--white);
    justify-content: flex-end;
  }

  &[aria-expanded="true"]::before {
    content: "\f00d";
    /* close icon */
    color: var(--white);
  }

  span.menu-button {
    display: none;
  }

  &:focus {
    outline-offset: -1px;
  }
}

#innerheader {
  display: flex;
  justify-content: center;

  p {
    margin: 0;
    height: 125px;
  }
}


.menu {
  a {
    font-family: "ROsansweb", Calibri, sans-serif;
    color: var(--white);
    text-decoration: none;
    font-size: var(--font-menu-item);
  }

}

#footer {
  margin-top: auto;
}

.footer {
  background-color: var(--color-bg-header);

  &.content-wrapper {
    padding: var(--pad-obj-md) var(--pad-obj-sm);
  }

  .footer-wrapper {
    display: flex;
    flex-direction: column;
    gap: var(--size-32);

    &.content {
      max-width: 1140px;
      margin: 0 auto;
    }
  }

  .footer-left {
    span {
      color: var(--white);
      font-size: var(--font-payoff);
      margin-bottom: unset;
      font-family: 'ROserifweb', serif;
    }
  }

  .footer-right {
    display: flex;
    flex-direction: column;
    gap: var(--size-32);
  }
}

.footer-list {
  display: flex;
  width: 181px;
  flex-direction: column;
  justify-content: center;
  align-items: flex-start;

  h2 {
    color: #fff;
    margin-top: 0;
  }

  a {
    text-decoration: none;
    color: #fff;
  }

  ul {
    display: flex;
    flex-direction: column;
    gap: var(--gap-txt-s);
    margin: 0;
    padding: 0;
    list-style: none;

    li {
      display: flex;
      gap: var(--gap-obj-xs);
      align-items: center;

      a {
        display: flex;
        align-items: center;
        gap: 10px;
      }

      :before {
        content: '\f054';
        font-family: "Font Awesome 6 Pro";
        display: block;
        font-size: 16px;
        width: 9px;
        height: 14px;
        line-height: 1;
        color: var(--white);
        position: relative;
        left: 0;
        transition: all 0.3s ease-in-out;
      }
    }
  }
}


@media screen and (min-width: 720px) {
  .logo {
    height: 125px;
  }

  #container_menu {
    padding: var(--pad-obj-sm) 0;
    justify-content: flex-end;
  }

  #innercontainer {

    .b_menu-open,
    #pull {
      display: none;
    }

    .menu {
      display: flex;
      align-items: center;
      gap: 40px;
      margin: unset;

      #p15 a {
        display: flex;
        width: 18px;
        font-size: 0px;
      }
    }
  }

  .footer {
    .footer-wrapper {
      .footer-right {
        flex-direction: row;
      }
    }
  }
}

@media screen and (min-width: 1140px) {
  .footer {
    .footer-wrapper {
      gap: unset;
      flex-direction: row;
      justify-content: space-between;

      .footer-right {
        flex-direction: row;
        gap: var(--gap-txt-s);
      }
    }
  }
}